Skip to main content
PUT
Update cohort

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this cohort.

Body

Serializer for Cohort model with embedded device IDs.

job
string<uuid>
required
id
string<uuid>
parent_cohort
string<uuid> | null
source_device
string<uuid> | null

Source device for pairwise tests (optional)

dest_device
string<uuid> | null

Destination device for pairwise tests (optional)

device_ids
string<uuid>[]
write-only

List of device UUIDs that are members of this cohort

Maximum array length: 25000

Response

Serializer for Cohort model with embedded device IDs.

name
string
required
read-only

Human-readable name (e.g., 'wolf-a7b3k9x2m1')

Pattern: ^[-a-zA-Z0-9_]+$
job
string<uuid>
required
size
integer
required
read-only

Number of devices in this cohort (denormalized for convenience, max 25000)

cohort_hash
string
required
read-only

SHA-256 hash of (job_id, sorted(device_ids), parent_cohort_id) for idempotency

devices
string<uuid>[]
required
read-only
device_names
string[]
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only

Serializer for cohort links.

id
string<uuid>
parent_cohort
string<uuid> | null
source_device
string<uuid> | null

Source device for pairwise tests (optional)

dest_device
string<uuid> | null

Destination device for pairwise tests (optional)